# ApplicationFramework
TKPShape
PGeom

# PGeom_Transformation Class Reference

`#include <PGeom_Transformation.hxx>`

## Public Member Functions

Standard_EXPORT | PGeom_Transformation ()
| Creates a transformation with default values. .
Standard_EXPORT | PGeom_Transformation (const gp_Trsf &aTrsf)
| Creates a transformation with <atrsf>. .
Standard_EXPORT void | Trsf (const gp_Trsf &aTrsf)
| Set the field trsf with <atrsf>. .
Standard_EXPORT gp_Trsf | Trsf () const
| Returns the value of the field trsf. .
| PGeom_Transformation (const Storage_stCONSTclCOM &a)
const gp_Trsf & | _CSFDB_GetPGeom_Transformationtrsf () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Trsf | trsf

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_Transformation::PGeom_Transformation | ( |  | ) |

Standard_EXPORT PGeom_Transformation::PGeom_Transformation | ( | const gp_Trsf & | aTrsf | ) |

PGeom_Transformation::PGeom_Transformation | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Trsf& PGeom_Transformation::_CSFDB_GetPGeom_Transformationtrsf | ( |  | ) | const`[inline]`

Standard_EXPORT const PGeom_Transformation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT gp_Trsf PGeom_Transformation::Trsf | ( |  | ) | const

Standard_EXPORT void PGeom_Transformation::Trsf | ( | const gp_Trsf & | aTrsf | ) |

## Field Documentation

gp_Trsf PGeom_Transformation::trsf `[private]`

The documentation for this class was generated from the following file:

- PGeom_Transformation.hxx